Bug 868626 - RESTAPI: api should allow detailed resource listing via header/matrix parameter
RESTAPI: api should allow detailed resource listing via header/matrix parameter
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: Ori Liel
Ondra Machacek
infra
: FutureFeature
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-10-21 06:15 EDT by Michael Pasternak
Modified: 2016-02-10 14:45 EST (History)
9 users (show)

See Also:
Fixed In Version: sf4
Doc Type: Enhancement
Doc Text:
The "All-Content" header has been added for GET requests in the REST API. This header defines whether the entity fetched contains all possible information or only basic information. For example, a request to fetch virtual machines with the "All-Content:false" header will ignore payload and ballooning information.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 17:14:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dyasny: Triaged+


Attachments (Terms of Use)

  None (edit)
Description Michael Pasternak 2012-10-21 06:15:23 EDT
Description of problem:

some resource properties fetched using dedicated backend query,
by default api should not display these properties (unless user explicitly
asked to show them) to ease on backend/minimise traffic.
Comment 1 Ori Liel 2012-11-05 03:38:00 EST
Patch posted upstream: 

  http://gerrit.ovirt.org/#/c/9018/1


Notice that by design, update (PUT) and create (POST) of entities will still always return the full entity, regardless of the new header. GET of a single resource or multiple resources is what's affected by the new header.
Comment 2 Ori Liel 2012-12-17 04:02:29 EST
Patch abandoned in favor of another approach, new patch posted: 

   http://gerrit.ovirt.org/#/c/9815/
Comment 3 Michael Pasternak 2013-01-21 06:05:03 EST
all content can be fetched via 'All-Content:True' http header
Comment 5 Cheryn Tan 2013-04-03 02:53:35 EDT
This bug is currently attached to errata RHEA-2013:14491. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.
Comment 6 errata-xmlrpc 2013-06-10 17:14:41 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.